/**
 * Unknown2.java
 *
 * File generated from the medication2::Unknown2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration Unknown2.
 *
 * 
 */

@XmlType(name = "Unknown")
@XmlEnum
@XmlRootElement(name = "Unknown2")
public enum Unknown2 {
	@XmlEnumValue("UNK")
	UNK("UNK"),
	@XmlEnumValue("NASK")
	NASK("NASK"),
	@XmlEnumValue("TRC")
	TRC("TRC"),
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    Unknown2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static Unknown2 fromValue(String v) {
        for (Unknown2 c: Unknown2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
